<?php
require "base.php";

//  load default settings and class data
$game = new Base;

//  load map and all of its details
$game->map->load($game->map_file);

while(1)
{
    $line = rtrim(fgets(STDIN, 1024));
    $pos = 0;
    $command = extractNonBlankString($line, $pos);
    
    if (
        ($command == "DEATH_FRAG") || 
        ($command == "DEATH_SUICIDE") || 
        ($command == "PLAYER_KILLED") || 
        ($command == "DEATH_SHOT_FRAG") || 
        ($command == "DEATH_DEATHZONE") ||
        ($command == "DEATH_SHOT_SUICIDE") ||
        ($command == "DEATH_TEAMKILL") ||
        ($command == "DEATH_SHOT_TEAMKILL")
       )
    {
        $pos = 0;
        $player = extractNonBlankString($line, $pos);;
        
        $pos = $game->arena->getRandomPos($spawn_factor);
        
        if ($pos)
        {
            $dir  = array(0, 1, -1);
            $xdir = $dir[rand(0, 2)];
            $ydir = $dir[rand(0, 2)];
            
            echo "RESPAWN_PLAYER ".$player." ".$pos->x." ".$pos->y." ".$xdir." ".$ydir."\n";   
        }
    }
}
?>